/*
 * Copyright (C) 2007 The Guava Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Basic utility libraries and interfaces.
 *
 * <p>This package is a part of the open-source
 * <a href="http://guava-libraries.googlecode.com">Guava libraries</a>.
 *
 * <h2>Contents</h2>
 * <h3>String-related utilities</h3>
 * <ul>
 * <li>{@link com.simpleguava.base.Joiner}
 * </ul>
 *
 * <h3>Function types</h3>
 *
 * <ul>
 * <li>{@link com.simpleguava.base.Function},
 *     {@link com.simpleguava.base.Functions}
 * <li>{@link com.simpleguava.base.Predicate},
 *     {@link com.simpleguava.base.Predicates}
 * <li>{@link com.simpleguava.base.Supplier},
 * <li>{@link com.simpleguava.base.Consumer},
 *     {@link com.simpleguava.base.Consumers}
 * </ul>
 *
 * <h3>Other</h3>
 *
 * <ul>
 * <li>{@link com.simpleguava.base.Objects}
 * <li>{@link com.simpleguava.base.Optional}
 * <li>{@link com.simpleguava.base.Preconditions}
 * </ul>
 *
 */
package com.simpleguava.base;

